<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\BayerischerApothekertagStudenten\HandleAnmeldung;

class KursView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/anmeldung/kurs.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->index => $this->viewModel->kurs);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpKursuebersicht(true);
  }
}

class KursViewModel
{
  public $kurs;
  public $status;
}